Pulp - Issue #709

Django is not installed by pulp-dev.py script
03/01/2015 12:25 AM - bmbouter

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Low Due date:

Assignee: rbarlow Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 1. Low Groomed: No
Version: Master Sprint Candidate: No
Platform Release: 2.8.0 Tags: Pulp 2
0OS: Sprint:

Triaged: Yes Quarter:

Description

Description of problem: When | use the pulp-dev.py script on master | do not receive Django on my system.
Version-Release number of selected component (if applicable): Master

How reproducible: Always

Steps to Reproduce:

1. Get a fresh linux machine

2. Install pulp dev environment using pulp-dev.py

3. Observe that Django is missing. "import django’ fails in a Python interpreter.

Actual results: Django fails to import

Expected results: | expect Django will be imported.

Additional info: Django is available via rpm. On ELG it is called 'Django14', and

on all other target platforms it is called 'python-django'. It is also available on PyPI, but we should be testing against the RPM

versions.

+ This bug was cloned from Bugzilla Bug #1195254 +

History

#1 - 03/20/2015 08:14 PM - bmbouter

- Severity changed from Low to 1. Low

#2 - 03/11/2016 10:40 PM - jcline@redhat.com
- Status changed from NEW to 5
- Assignee set to rbarlow

- Platform Release set to 2.8.0

As of 2.8.0 Django is included in the server setup.py. In addition, we have Ansible (woo!)

#3 - 03/23/2016 07:15 PM - dkliban@redhat.com
- Status changed from 5 to CLOSED - CURRENTRELEASE

#4 - 04/15/2019 11:05 PM - bmbouter
- Tags Pulp 2 added
